#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8B,0xA8,0xD5,0xCD,0x9D,0x4B,0xA0,0x64,0x11,0xCF,0xA0,0x07,
		0x48,0xCB,0xCB,0x67,0x3F,0x31,0xD8,0xA3,0x4D,0x33,0xC9,0x13,
		0x8C,0xB6,0x8B,0xCB,0x81,0x68,0x74,0xDA,0x9A,0x0C,0x6A,0xDA,
		0xF4,0x29,0x7B,0xB4,0xA4,0x0F,0x03,0xF6,0x8D,0x6D,0x32,0x6D,
		0xC2,0x9F,0xEE,0x59,0x29,0xCE,0x32,0x2D,0x1B,0x88,0x89,0x8F,
		0xD3,0x28,0x34,0x5B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
